#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 5

ExcludeArch:    armv5tl

Epoch:          2

Summary:        This lib provides calendar support
Name:           calendarsupport
Version: 16.12.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiTools)

BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5AkonadiMime)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5CalendarUtils)
BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5IdentityManagement)
BuildRequires:  cmake(KF5Holidays)
BuildRequires:  cmake(KF5AkonadiCalendar) >= 5.3.1
BuildRequires:  cmake(KF5PimCommon) >= 5.3.1
BuildRequires:  cmake(KF5KdepimDBusInterfaces)


%description
This lib provides calendar support.

%files
%_kf5_sysconfdir/xdg/calendarsupport.categories
%_kf5_sysconfdir/xdg/calendarsupport.renamecategories
%_kf5_datadir/kservicetypes5/calendarplugin.desktop

#--------------------------------------------------------------------

%define kf5calendarsupport_major 5
%define libkf5calendarsupport %mklibname kf5calendarsupport %{kf5calendarsupport_major}

%package -n %libkf5calendarsupport
Summary:      This lib provides calendar support
Group:        System/Libraries

Obsoletes:    %{_lib}calendarsupportcollectionpage4 < 2:4.14.11
Provides:     %{_lib}calendarsupportcollectionpage4 = %epoch:%version-%release

Obsoletes:    %{_lib}kf5calendarsupport_5 < 2:16.12.3-2
Provides:     %{_lib}kf5calendarsupport_5 = %epoch:%version-%release

Requires:     %name = %epoch:%version

%description -n %libkf5calendarsupport
This lib provides calendar support.

%files -n %libkf5calendarsupport
%_kf5_libdir/libKF5CalendarSupport.so.%{kf5calendarsupport_major}*

#--------------------------------------------------------------------

%define kf5calendarsupport_devel %mklibname kf5calendarsupport -d

%package -n %kf5calendarsupport_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5calendarsupport = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf5calendarsupport_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5calendarsupport_devel
%_kf5_includedir/CalendarSupport
%_kf5_includedir/calendarsupport
%_kf5_includedir/calendarsupport_version.h
%_kf5_libdir/libKF5CalendarSupport.so
%_kf5_libdir/cmake/KF5CalendarSupport
%_qt5_prefix/mkspecs/modules/qt_CalendarSupport.pri

#--------------------------------------------------------------------

%prep
%setup -q 
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang --all %{name}5



%changelog
* Sun Mar 26 2017 neoclust <neoclust> 2:16.12.3-5.mga6
+ Revision: 1094861
- Use more %%epoch

* Sun Mar 26 2017 neoclust <neoclust> 2:16.12.3-4.mga6
+ Revision: 1094855
- Add Epoch to help upgrade

* Wed Mar 22 2017 neoclust <neoclust> 16.12.3-3.mga6
+ Revision: 1094281
- Rebuild because of missing package
- Fix library name (mga#20497)

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1089996
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076731
- New version 16.12.0

* Fri Dec 09 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1073858
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067264
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061323
- New version 16.08.2

* Fri Sep 23 2016 neoclust <neoclust> 16.08.1-4.mga6
+ Revision: 1055467
- Do not build on armv5tl

* Fri Sep 23 2016 neoclust <neoclust> 16.08.1-3.mga6
+ Revision: 1055458
- Add some obsoletes to ease upgrade from mga5

* Mon Sep 19 2016 neoclust <neoclust> 16.08.1-2.mga6
+ Revision: 1054182
- Rebuild for arm

* Tue Sep 13 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1051819
- New version 16.08.1

* Fri Sep 02 2016 neoclust <neoclust> 16.08.0-3.mga6
+ Revision: 1049763
- Rebuild on arm

  + daviddavid <daviddavid>
    - rebuild to regenerate rpms

* Tue Aug 23 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047968
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1039985
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012475
- New version 16.04.1

* Mon Apr 25 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1006014
- New version 16.04.0

* Wed Mar 30 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 996902
- imported package calendarsupport

